



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>41 【docker】初识</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">41 【docker】初识</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-12 22:16:40 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>常用的docker命令：</p>
<div>
<pre class="prettyprint linenums">docker ps  #查看当前正在运行的容器

docker ps -a | grep &lt;keyword&gt; #查看所有的容器，运行的或者停止的

docker stop &lt;container-id&gt; #停掉某个容器, 类似于主机的睡眠或者虚拟机的挂起

docker start &lt;container-id&gt; #重新启动某个容器，和刚才stop是相反的操作

docker rm &lt;container-id&gt; #删除某个容器

docker rmi &lt;image-name&gt; #删除某个image镜像

docker run ... #参数很多，根据已有镜像启动某个容器

docker build ... #用dockerfile构建自定义的镜像

docker insepct &lt;container-id&gt; #查看某个容器的各种信息

docker exec -it &lt;container-id&gt; /bin/bash #正在运行的镜像，我们想进去看看要使用该命令

sudo docker inspect --format '{{ .NetworkSettings.IPAddress }}' &lt;container-ID&gt;: 查看某个容器的IP

sudo docker inspect -f '{{.Name}} - {{.NetworkSettings.IPAddress }}' $(sudo docker ps -aq)：查看所有的容器的IP</pre>
</div>
<p>做如下实验：</p>
<p>1，构建一个镜像文件</p>
<p>创建文件，文件名为：dockerfile</p>
<div>
<pre class="prettyprint linenums">FROM nginx

MAINTAINER test@x.com</pre>
</div>
<p>然后执行命令：sudo docker build -t xin/luwenwei.nginx .</p>
<p>含义是使用当前文件夹下面的dockefile来构建镜像，镜像名称为&lt;xin/luwenwei.nginx&gt;</p>
<p>2，使用构建好的镜像文件启动一个容器</p>
<p>执行命令：</p>
<p>sudo docker run -d -p 8888:80 xin/luwenwei.nginx</p>
<p>使用刚才构建的镜像，创建一个容器，启动主机端口8888，映射到容器中的80端口</p>
<p>3，从各个角度来观察容器</p>
<p>3.1，查看容器的运行状态</p>
<div>
<pre class="prettyprint linenums"># sudo docker ps

CONTAINER ID        IMAGE                COMMAND                  CREATED             STATUS              PORTS                  NAMES<br />
f887c1378676        xin/luwenwei.nginx   "nginx -g 'daemon ..."    minutes ago      Up  minutes       0.0.0.0:8-&gt;/tcp   lucid_allen</pre>
</div>
<p>可以看到，容器正在运行中。</p>
<p>3.2，查看容器的功能是否正常</p>
<div>
<pre class="prettyprint linenums">luwenwei@localhost:~/docker/nginx$ curl 127.0.0.1:<br />
&lt;!DOCTYPE html&gt;<br />
&lt;html&gt;<br />
&lt;head&gt;<br />
&lt;title&gt;Welcome to nginx!&lt;/title&gt;<br />
&lt;style&gt;<br />
    body {<br />
        width: 35em;<br />
        margin:  auto;<br />
        font-family: Tahoma, Verdana, Arial, sans-serif;<br />
    }<br />
&lt;/style&gt;<br />
&lt;/head&gt;<br />
&lt;body&gt;<br />
&lt;h1&gt;Welcome to nginx!&lt;/h1&gt;<br />
&lt;p&gt;If you see this page, the nginx web server is successfully installed and<br />
working. Further configuration is required.&lt;/p&gt;

&lt;p&gt;For online documentation and support please refer to<br />
&lt;a href="http://nginx.org/"&gt;nginx.org&lt;/a&gt;.&lt;br/&gt;<br />
Commercial support is available at<br />
&lt;a href="http://nginx.com/"&gt;nginx.com&lt;/a&gt;.&lt;/p&gt;

&lt;p&gt;&lt;em&gt;Thank you for using nginx.&lt;/em&gt;&lt;/p&gt;<br />
&lt;/body&gt;<br />
&lt;/html&gt;</pre>
</div>
<p>可以看到，容器的80端口打开的，可以输出html内容。</p>
<p>3.3，到容器内部去看看</p>
<div>
<pre class="prettyprint linenums">luwenwei@localhost:~/docker/nginx$ sudo docker exec -it f887c1378676  /bin/bash<br />
root@f887c1378676:/# ps aux<br />
bash: ps: command not found<br />
root@f887c1378676:/# whereis nginx<br />
nginx: /usr/sbin/nginx /usr/lib/nginx /etc/nginx /usr/share/nginx<br />
root@f887c1378676:/# </pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8oj1e1q.html">Xcode的一个简单的UITests</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqljdgk9.html">javaweb学习笔记之servlet01</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jnn6l8.html">Quartz2D 编程指南（四）位图与图像遮罩、CoreGraphics 绘制 Layer</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxe61e8.html">gulp教程之gulp-htmlmin</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kzdg38.html">cocos2dx 3&period;x&lpar;屏幕截图的两种方法&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gm45j49.html">【转载】Python中如何高效实现两个字典合并，三种方法比较。</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wmnwlq.html">为何j2ee变成了javaee&quest;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mnp5gq.html">11g RAC R2 体系结构---Grid</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j02zmeq.html">python之量的概念</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydl04xq.html">HTML5&colon;一个拖拽网页元素的例子</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zwyoe9.html">浅析nodeJS中的Crypto模块，包括hash算法，HMAC算法，加密算法知识，SSL协议</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj3ry09.html">1、学习笔记之&mdash;&mdash;html</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj3dok8.html">sql注入--双查询报错注入原理探索</a>
		</li>
						<li><a href="https://www.batexi.com/a/8meov00q.html">yum 运行失败</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g36vmq.html">Python 学习 第十三篇：数据的读写-文件、DataFrame、json</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj5o649.html">【Unity】微信支付SDK官方安卓Demo的使用问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2owoj9.html">oracle 分区 查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2o6noq.html">JavaScript--DOM元素尺寸和位置&lpar;22&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkk4md8.html">将html转换为Drupal模板文件的一般步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdjrkz0q.html">动态加载与插件系统的初步实现（一）：反射与MEF解决方案</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8zy6p339.html">C&num;编码、解码与ASP&period;NET编码解码对应函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r56r44q.html">1&period;1&period;15 word调整文字与下划线之间的间距</a>
			</li>
						<li><a href="https://www.batexi.com/a/960lrl49.html">2、php中字符串单引号好和双引号的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1ry3d68.html">将Long类型转为字母数字组合的jar包---Hashids</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r56xpmq.html">Android批量验证渠道、版本号（Linux版）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25gpdvq.html">centos7-软件安装-jdk1&period;8</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o13mepq.html">微信小程序精品demo</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjzol09.html">Zookeeper 在Windows下的安装过程及测试</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjkwo69.html">docker 小结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllwy3eq.html">面向对象object与constructor</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
